# test depends on tad
%global enable_tests 1
%global srcname next

Name:           nodejs-%{srcname}
Version:        0.4.1
Release:        2%{?dist}
Summary:        Functions that extend and complement Node.js API
License:        MIT
URL:            https://github.com/medikoo/node-ext
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tad)
BuildRequires:  npm(es5-ext)
BuildRequires:  npm(deferred)
BuildRequires:  npm(memoizee)
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules
chmod -x module/find-package-root.js
chmod -x module/require-first-in-tree.js

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json module/ *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} ./node_modules/tad/bin/tad
%endif

%files
%doc CHANGES *.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 18 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.4.1-1
- Update

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-1
- Initial package
